// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "ProceduralMeshComponent.h"
#include "Building.h"
#include "BuildingActor.generated.h"

UCLASS()
class PROCEDURALCITY_API ABuildingActor : public AActor
{
	GENERATED_BODY()
	
public:	
	// Sets default values for this actor's properties
	ABuildingActor();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:	
	// Called every frame
	virtual void Tick(float DeltaTime) override;
	void ConstructBuilding(TArray<int32> tri, TArray<FVector> vertices, TArray<FVector> normals, TArray<FVector2D> uV0s, TArray<FLinearColor> vertexColors, UMaterial* material);
	UPROPERTY(VisibleAnywhere)
		UProceduralMeshComponent *mesh;

};
