#pragma once

#include "CoreMinimal.h"
#include "Building.h"
#include "BuildingSegment.generated.h"

USTRUCT(BlueprintType)
struct FBuildingSegment
{
	GENERATED_BODY()

	UPROPERTY(BlueprintReadWrite)
		TArray<FVector2D> layout;
	UPROPERTY(BlueprintReadWrite)
		float height;
	UPROPERTY(BlueprintReadWrite)
		EBuildingType buildingType;

	FBuildingSegment() {}
	FBuildingSegment(TArray<FVector2D> _layout, float _height, EBuildingType _buildingType)
	{
		layout = _layout;
		height = _height;
		buildingType = _buildingType;
	}
};
