// Fill out your copyright notice in the Description page of Project Settings.

#include "BuildingActor.h"

// Sets default values
ABuildingActor::ABuildingActor()
{
 	// Set this actor to call Tick() every frame.  You can turn this off to improve performance if you don't need it.
	PrimaryActorTick.bCanEverTick = true;
	mesh = CreateDefaultSubobject<UProceduralMeshComponent>(TEXT("GeneratedMesh"));
	RootComponent = mesh;
	mesh->bUseAsyncCooking = true;

}

// Called when the game starts or when spawned
void ABuildingActor::BeginPlay()
{
	Super::BeginPlay();
	
}

// Called every frame
void ABuildingActor::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);

}

void ABuildingActor::ConstructBuilding(TArray<int32> tri, TArray<FVector> vertices, TArray<FVector> normals, TArray<FVector2D> uV0s, TArray<FLinearColor> vertexColors, UMaterial* material)
{
	TArray<FProcMeshTangent> emptyArrayTangent;
	mesh->CreateMeshSection_LinearColor(0, vertices, tri, normals, uV0s, vertexColors, emptyArrayTangent, true);
	mesh->SetMaterial(0, material);
}